import { Base, INotifyPropertyChanged, Type, IEnumerable, PropertyChangedEventArgs } from "igniteui-react-core";
import { IDataLegendTarget } from "igniteui-react-core";
import { IToolbarTarget } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { IDomainChartWidget } from "./IDomainChartWidget";
import { XamDataChart } from "./XamDataChart";
import { DataSeriesAdapterImplementation } from "igniteui-react-core";
import { DataSeriesType } from "igniteui-react-core";
import { IDataSeriesAdapterRule } from "igniteui-react-core";
import { MarkerType } from "./MarkerType";
import { IAnnotationLayerProxy } from "./IAnnotationLayerProxy";
import { Color } from "igniteui-react-core";
import { ToolCommandStateChanged } from "igniteui-react-core";
import { ToolCommand } from "igniteui-react-core";
import { DataToolTipLayerGroupingMode } from "igniteui-react-core";
import { DataTooltipGroupedPositionX } from "igniteui-react-core";
import { DataTooltipGroupedPositionY } from "igniteui-react-core";
import { DataAbbreviationMode } from "igniteui-react-core";
import { DataLegendValueMode } from "igniteui-react-core";
import { Thickness } from "igniteui-react-core";
import { FontInfo } from "igniteui-react-core";
import { DataLegendHeaderDateMode } from "igniteui-react-core";
import { DataLegendHeaderTimeMode } from "igniteui-react-core";
import { DataLegendSummaryType } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { DataLegendUnitsMode } from "igniteui-react-core";
import { DataLegendLabelMode } from "igniteui-react-core";
import { DomainType } from "./DomainType";
import { ChartSortDescriptionCollection } from "./ChartSortDescriptionCollection";
import { FilterExpressionCollection } from "igniteui-react-core";
import { ChartSummaryDescriptionCollection } from "./ChartSummaryDescriptionCollection";
import { FilterStringErrorsParsingEventArgs } from "./FilterStringErrorsParsingEventArgs";
import { BrushCollection } from "igniteui-react-core";
import { IChartLegend } from "igniteui-react-core";
import { SeriesHighlightedValuesDisplayMode } from "./SeriesHighlightedValuesDisplayMode";
import { Rect } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { UnknownValuePlotting } from "igniteui-react-core";
import { SeriesOutlineMode } from "./SeriesOutlineMode";
import { MarkerOutlineMode } from "./MarkerOutlineMode";
import { MarkerFillMode } from "./MarkerFillMode";
import { MarkerTypeCollection } from "./MarkerTypeCollection";
import { MarkerAutomaticBehavior } from "./MarkerAutomaticBehavior";
import { TrendLineType } from "igniteui-react-core";
import { ComputedPlotAreaMarginMode } from "./ComputedPlotAreaMarginMode";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { SeriesHighlightingMode } from "./SeriesHighlightingMode";
import { SeriesHighlightingBehavior } from "./SeriesHighlightingBehavior";
import { LegendHighlightingMode } from "./LegendHighlightingMode";
import { LegendItemBadgeMode } from "igniteui-react-core";
import { ToolTipType } from "./ToolTipType";
import { CrosshairsDisplayMode } from "./CrosshairsDisplayMode";
import { CalloutPlacementPositionsCollection } from "./CalloutPlacementPositionsCollection";
import { ValueModeCollection } from "./ValueModeCollection";
import { SeriesViewerScrollbarMode } from "./SeriesViewerScrollbarMode";
import { SeriesViewerHorizontalScrollbarPosition } from "./SeriesViewerHorizontalScrollbarPosition";
import { SeriesViewerVerticalScrollbarPosition } from "./SeriesViewerVerticalScrollbarPosition";
import { Series } from "./Series";
import { IDataLegend } from "igniteui-react-core";
import { ICommandStateChangedListener } from "igniteui-react-core";
import { DataSeries } from "igniteui-react-core";
import { Axis } from "./Axis";
import { ObservableColorCollection } from "igniteui-react-core";
import { DataSeriesMarker } from "igniteui-react-core";
import { IDataLegendSeries } from "igniteui-react-core";
import { ToolActionInfo } from "igniteui-react-core";
import { ToolCommandExecutionState } from "igniteui-react-core";
import { ICommandAvailabilityListener } from "igniteui-react-core";
import { ChartSeriesEventArgs } from "./ChartSeriesEventArgs";
import { DomainChartSeriesPointerEventArgs } from "./DomainChartSeriesPointerEventArgs";
import { CalloutStyleUpdatingEventArgs } from "./CalloutStyleUpdatingEventArgs";
import { CalloutRenderStyleUpdatingEventArgs } from "./CalloutRenderStyleUpdatingEventArgs";
/**
 * @hidden
 */
export declare abstract class DomainChart extends Base implements INotifyPropertyChanged, IDataLegendTarget, IToolbarTarget {
    static $t: Type;
    protected kj: any;
    provideContainer(a: any): void;
    destroy(): void;
    private sq;
    protected sr(): void;
    protected sn(a: XamDataChart): void;
    protected sk(): void;
    protected st(a: Series, b: number): void;
    protected th(a: string, b: any, c: any): void;
    private kh;
    get tooltipTemplate(): any;
    set tooltipTemplate(a: any);
    private gw;
    get tooltipTemplates(): List$1<any>;
    set tooltipTemplates(a: List$1<any>);
    private ho;
    get i1(): number;
    set i1(a: number);
    private kg;
    private get toolTip();
    private set toolTip(value);
    private h1;
    get je(): number;
    set je(a: number);
    private h2;
    get jf(): number;
    set jf(a: number);
    private h3;
    get jg(): number;
    set jg(a: number);
    private h0;
    get jd(): number;
    set jd(a: number);
    private hw;
    get i9(): number;
    set i9(a: number);
    private hy;
    get jb(): number;
    set jb(a: number);
    private hx;
    get ja(): number;
    set ja(a: number);
    private hv;
    get i8(): number;
    set i8(a: number);
    private uy;
    get vq(): Brush;
    set vq(a: Brush);
    private uz;
    get vr(): Brush;
    set vr(a: Brush);
    private hl;
    protected get_iy(): number;
    protected set_iy(a: number): void;
    get iy(): number;
    set iy(a: number);
    private h4;
    get jh(): number;
    set jh(a: number);
    private hu;
    get i7(): number;
    set i7(a: number);
    private g8;
    get ik(): number;
    set ik(a: number);
    private j4;
    get kc(): number;
    set kc(a: number);
    private ea;
    get eb(): (time: number) => number;
    set eb(a: (time: number) => number);
    protected so(a: XamDataChart): void;
    protected su(a: Series, b: number): void;
    protected sl(): void;
    private sv;
    jv: (arg1: HTMLElement) => any[];
    private t7;
    private kl;
    private gl;
    private jw;
    protected ti(a: string, b: any, c: any): void;
    private ca;
    get cb(): IDomainChartWidget;
    set cb(a: IDomainChartWidget);
    private lf;
    get qp(): string;
    set qp(a: string);
    private lh;
    get q0(): string;
    set q0(a: string);
    private dy;
    get dataChart(): XamDataChart;
    set dataChart(a: XamDataChart);
    bd: DataSeriesAdapterImplementation;
    private fc;
    private fb;
    get isDetached(): boolean;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    constructor();
    protected sp(): void;
    protected abstract get g2(): List$1<DataSeriesType>;
    protected abstract get g1(): List$1<IDataSeriesAdapterRule>;
    protected g0: List$1<MarkerType>;
    protected gg(a: DataSeriesType): boolean;
    notifyResized(): void;
    s4(): void;
    sa(): void;
    si(): void;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected to(a: string): void;
    protected abstract sb(a: (arg1: Axis) => void, b: boolean): void;
    protected sc(a: (arg1: Series) => void): void;
    protected sd(a: (arg1: Series, arg2: number) => void): void;
    protected sg(a: (arg1: Series) => void): void;
    protected sh(a: (arg1: Series, arg2: number) => void): void;
    protected se(a: (arg1: Series) => void): void;
    protected sf(a: (arg1: Series, arg2: number) => void): void;
    tx(): void;
    protected s6(a: (arg1: XamDataChart) => void): void;
    protected s7(a: (arg1: XamDataChart) => void, b: boolean): void;
    protected s8(a: (arg1: XamDataChart) => void, b: boolean, c: string): void;
    protected gi(a: DataSeries): boolean;
    protected f9(): boolean;
    private static readonly kt;
    private j3;
    protected or(a: DataSeries): string;
    private static ks;
    protected os(a: DataSeries, b: DataSeriesType): string;
    protected abstract bc(a: DataSeries): DataSeriesType;
    protected abstract c2(a: DataSeries, b: DataSeriesType): Series;
    oq(): string;
    private ge;
    protected t0(): void;
    protected c4(seriesType_: DataSeriesType): Series;
    private cw;
    private cy;
    private c0;
    private c1;
    private cx;
    private cz;
    private c3;
    private b3;
    protected get b4(): IAnnotationLayerProxy;
    private get f5();
    private f7;
    private t8;
    protected ga(): boolean;
    protected gb(): boolean;
    protected get_f8(): boolean;
    protected get f8(): boolean;
    protected gy(a: string, b: boolean): List$1<Series>;
    protected r4(a: Series, b: boolean): void;
    protected t6(a: Series, b: Series, c: DataSeries): void;
    protected abstract tz(a: DataSeries): void;
    protected abstract ty(a: DataSeries): void;
    protected t2(): void;
    private t3;
    protected t4(a: Series): void;
    protected abstract t1(): void;
    private s9;
    protected r8(): void;
    protected vj(a: number): Brush;
    protected vm(a: number): Brush;
    protected vk(a: number): Brush;
    protected vl(a: number): Brush;
    protected vu(a: number): Color;
    protected eu(a: Color): ObservableColorCollection;
    protected ac(a: Color): BrushCollection;
    protected gv: List$1<Color>;
    protected get gx(): List$1<Color>;
    protected get_gp(): boolean;
    protected get gp(): boolean;
    kk(): any;
    sx(a: string, b: string): void;
    sy(a: string, b: string, c: Series): void;
    cq(a: DataSeriesMarker): MarkerType;
    private b7;
    private fe;
    attachDataLegend(a: IDataLegend): void;
    protected r3(a: IDataLegend): void;
    detachDataLegend(a: IDataLegend): void;
    protected r7(a: IDataLegend): void;
    getDataLegendSeries(): IDataLegendSeries[];
    protected p(): IDataLegendSeries[];
    t9(a: number): void;
    ua(a: number): void;
    t5(): void;
    protected get_gh(): boolean;
    get gh(): boolean;
    private b8;
    get b9(): IDomainChartToolbarProvider;
    private tf;
    getDesiredToolbarActions(): ToolActionInfo[];
    onToolCommandExecuting(a: ToolCommand): ToolCommandExecutionState;
    private _commandCompleted;
    get commandCompleted(): (arg1: ToolCommand) => void;
    set commandCompleted(a: (arg1: ToolCommand) => void);
    private _invalidateActions;
    get invalidateActions(): () => void;
    set invalidateActions(a: () => void);
    private sw;
    addCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    removeCommandAvailabilityListener(a: ICommandAvailabilityListener): void;
    private gt;
    addCommandStateChangedListener(a: ICommandStateChangedListener): void;
    removeCommandStateChangedListener(a: ICommandStateChangedListener): void;
    s3(source_: any, a: number, b: any, c: any): void;
    sz(source_: any): void;
    s0(source_: any, a: number, b: any): void;
    s1(source_: any, a: number, b: any): void;
    private bu;
    get bv(): DataToolTipLayerGroupingMode;
    set bv(a: DataToolTipLayerGroupingMode);
    private hc;
    get ip(): number;
    set ip(a: number);
    private hd;
    get iq(): number;
    set iq(a: number);
    private ha;
    get im(): number;
    set im(a: number);
    private hb;
    get io(): number;
    set io(a: number);
    private bq;
    get br(): DataTooltipGroupedPositionX;
    set br(a: DataTooltipGroupedPositionX);
    private bs;
    get bt(): DataTooltipGroupedPositionY;
    set bt(a: DataTooltipGroupedPositionY);
    private e5;
    get f0(): boolean;
    set f0(a: boolean);
    static readonly nc: string;
    get m(): string[];
    set m(a: string[]);
    private e;
    get j(): string[];
    set j(a: string[]);
    private b;
    get l(): string[];
    set l(a: string[]);
    private d;
    get i(): string[];
    set i(a: string[]);
    private a;
    get bb(): DataAbbreviationMode;
    set bb(a: DataAbbreviationMode);
    private ba;
    get j8(): number;
    set j8(a: number);
    private jz;
    get j9(): number;
    set j9(a: number);
    private j0;
    get bp(): DataLegendValueMode;
    set bp(a: DataLegendValueMode);
    private bo;
    get n4(): string;
    set n4(a: string);
    private k5;
    get f1(): boolean;
    set f1(a: boolean);
    private e6;
    get oa(): string;
    set oa(a: string);
    private k6;
    get n(): any[];
    set n(a: any[]);
    private f;
    get wg(): Thickness;
    set wg(a: Thickness);
    private v6;
    get f2(): boolean;
    set f2(a: boolean);
    private e7;
    get oj(): string;
    set oj(a: string);
    private k7;
    get f3(): boolean;
    set f3(a: boolean);
    private e8;
    get wh(): Thickness;
    set wh(a: Thickness);
    private v7;
    get vg(): Brush;
    set vg(a: Brush);
    private ut;
    private ek;
    get et(): FontInfo;
    set et(a: FontInfo);
    get mu(): string;
    set mu(a: string);
    private kz;
    get k(): any[];
    set k(a: any[]);
    private c;
    get mq(): string;
    set mq(a: string);
    private ky;
    get bf(): DataLegendHeaderDateMode;
    set bf(a: DataLegendHeaderDateMode);
    private be;
    get bh(): DataLegendHeaderTimeMode;
    set bh(a: DataLegendHeaderTimeMode);
    private bg;
    get mz(): string;
    set mz(a: string);
    private k0;
    get u8(): Brush;
    set u8(a: Brush);
    private ul;
    get wa(): Thickness;
    set wa(a: Thickness);
    private v0;
    get v9(): Thickness;
    set v9(a: Thickness);
    private vz;
    get fz(): boolean;
    set fz(a: boolean);
    private e4;
    private ec;
    get el(): FontInfo;
    set el(a: FontInfo);
    get vb(): Brush;
    set vb(a: Brush);
    private uo;
    private ef;
    get eo(): FontInfo;
    set eo(a: FontInfo);
    get bl(): DataLegendSummaryType;
    set bl(a: DataLegendSummaryType);
    private bk;
    get ni(): string;
    set ni(a: string);
    private k2;
    get wd(): Thickness;
    set wd(a: Thickness);
    private v3;
    get wc(): Thickness;
    set wc(a: Thickness);
    private v2;
    get vd(): Brush;
    set vd(a: Brush);
    private uq;
    private eh;
    get eq(): FontInfo;
    set eq(a: FontInfo);
    get nd(): string;
    set nd(a: string);
    private k1;
    get va(): Brush;
    set va(a: Brush);
    private un;
    private ee;
    get en(): FontInfo;
    set en(a: FontInfo);
    get no(): string;
    set no(a: string);
    private k3;
    get vc(): Brush;
    set vc(a: Brush);
    private up;
    private eg;
    get ep(): FontInfo;
    set ep(a: FontInfo);
    get v8(): Thickness;
    set v8(a: Thickness);
    private vy;
    get ci(): LegendItemBadgeShape;
    set ci(a: LegendItemBadgeShape);
    private cg;
    get bn(): DataLegendUnitsMode;
    set bn(a: DataLegendUnitsMode);
    private bm;
    get ny(): string;
    set ny(a: string);
    private k4;
    get vf(): Brush;
    set vf(a: Brush);
    private us;
    get wf(): Thickness;
    set wf(a: Thickness);
    private v5;
    private ej;
    get es(): FontInfo;
    set es(a: FontInfo);
    get we(): Thickness;
    set we(a: Thickness);
    private v4;
    get ve(): Brush;
    set ve(a: Brush);
    private ur;
    private ei;
    get er(): FontInfo;
    set er(a: FontInfo);
    get bj(): DataLegendLabelMode;
    set bj(a: DataLegendLabelMode);
    private bi;
    get u9(): Brush;
    set u9(a: Brush);
    private um;
    get wb(): Thickness;
    set wb(a: Thickness);
    private v1;
    private ed;
    get em(): FontInfo;
    set em(a: FontInfo);
    seriesAdded: (sender: any, args: ChartSeriesEventArgs) => void;
    tp(a: Series): void;
    seriesRemoved: (sender: any, args: ChartSeriesEventArgs) => void;
    tv(a: Series): void;
    seriesPointerEnter: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    tr(a: Series, b: any): void;
    seriesPointerLeave: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    ts(a: Series, b: any): void;
    seriesPointerMove: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    tt(a: Series, b: any): void;
    seriesPointerDown: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    tq(a: Series, b: any): void;
    seriesPointerUp: (sender: any, args: DomainChartSeriesPointerEventArgs) => void;
    tu(a: Series, b: any): void;
    calloutStyleUpdating: (sender: any, args: CalloutStyleUpdatingEventArgs) => void;
    tn(a: any, b: CalloutStyleUpdatingEventArgs): void;
    calloutRenderStyleUpdating: (sender: any, args: CalloutRenderStyleUpdatingEventArgs) => void;
    tm(a: any, b: CalloutRenderStyleUpdatingEventArgs): void;
    private gz;
    tk(a: () => void): void;
    private ev;
    tl(a: () => void, b: boolean): {
        p1?: boolean;
    };
    protected get_gj(): boolean;
    protected get gj(): boolean;
    protected sm(a: XamDataChart): void;
    protected ag(a: BrushCollection): BrushCollection;
    protected vp(a: Brush): Brush;
    protected ss(a: Series, b: number): void;
    protected abstract r5(): void;
    protected get ft(): boolean;
    private ey;
    protected r9(): void;
    protected sj(): void;
    protected tw(a: XamDataChart): void;
    protected r2(a: Series, b: number): void;
    protected abstract r1(a: Series, b: number): void;
    protected cs(a: Series, b: number): MarkerType;
    protected cr(a: Series): MarkerType;
    protected ct(a: Series): MarkerType;
    protected ko(): any;
    protected get_gc(): boolean;
    protected get gc(): boolean;
    protected g6(): IEnumerable;
    protected te(a: string, b: any, c: any): void;
    private gs;
    private gu;
    private ta;
    private r0;
    private tc;
    private tg;
    abstract get b1(): DomainType;
    private au;
    private aq;
    private ap;
    private d0;
    private d1;
    private a2;
    private d8;
    private d9;
    private fn;
    private fl;
    private fo;
    private fm;
    private fk;
    private at;
    private as;
    private ar;
    private d3;
    private d2;
    private a1;
    get a0(): ChartSortDescriptionCollection;
    get aw(): ChartSortDescriptionCollection;
    get av(): ChartSortDescriptionCollection;
    get d4(): FilterExpressionCollection;
    get d5(): FilterExpressionCollection;
    get a4(): ChartSummaryDescriptionCollection;
    get az(): ChartSortDescriptionCollection;
    get ay(): ChartSortDescriptionCollection;
    get ax(): ChartSortDescriptionCollection;
    get d6(): FilterExpressionCollection;
    get d7(): FilterExpressionCollection;
    get a3(): ChartSummaryDescriptionCollection;
    private lc;
    get ph(): string;
    set ph(a: string);
    private k8;
    get ot(): string;
    set ot(a: string);
    private la;
    get pd(): string;
    set pd(a: string);
    private k9;
    get pb(): string;
    set pb(a: string);
    private lb;
    get pf(): string;
    set pf(a: string);
    filterStringErrorsParsing: (sender: any, args: FilterStringErrorsParsingEventArgs) => void;
    private ld;
    get pj(): string;
    set pj(a: string);
    private kf;
    get itemsSource(): any;
    set itemsSource(a: any);
    private ke;
    get actualItemsSource(): any;
    set actualItemsSource(a: any);
    private h;
    get q(): string[];
    set q(a: string[]);
    private g;
    get o(): string[];
    set o(a: string[]);
    private t;
    get ab(): BrushCollection;
    set ab(a: BrushCollection);
    private w;
    get af(): BrushCollection;
    set af(a: BrushCollection);
    private r;
    get z(): BrushCollection;
    set z(a: BrushCollection);
    private s;
    get aa(): BrushCollection;
    set aa(a: BrushCollection);
    private b5;
    get legend(): IChartLegend;
    set legend(a: IChartLegend);
    private fd;
    protected get_gd(): boolean;
    protected set_gd(a: boolean): void;
    get gd(): boolean;
    set gd(a: boolean);
    private fg;
    protected get_gk(): boolean;
    protected set_gk(a: boolean): void;
    get gk(): boolean;
    set gk(a: boolean);
    private fi;
    protected get_gn(): boolean;
    protected set_gn(a: boolean): void;
    get gn(): boolean;
    set gn(a: boolean);
    private fp;
    protected get_gq(): boolean;
    protected set_gq(a: boolean): void;
    get gq(): boolean;
    set gq(a: boolean);
    private c5;
    protected get_c6(): SeriesHighlightedValuesDisplayMode;
    protected set_c6(a: SeriesHighlightedValuesDisplayMode): void;
    get c6(): SeriesHighlightedValuesDisplayMode;
    set c6(a: SeriesHighlightedValuesDisplayMode);
    private ff;
    protected get_gf(): boolean;
    protected set_gf(a: boolean): void;
    get gf(): boolean;
    set gf(a: boolean);
    private vv;
    get vx(): Rect;
    set vx(a: Rect);
    get vw(): Rect;
    private lg;
    get qt(): string;
    set qt(a: string);
    private le;
    get qi(): string;
    set qi(a: string);
    private uc;
    get ue(): HorizontalAlignment;
    set ue(a: HorizontalAlignment);
    private ub;
    get ud(): HorizontalAlignment;
    set ud(a: HorizontalAlignment);
    private du;
    get dv(): UnknownValuePlotting;
    set dv(a: UnknownValuePlotting);
    private ht;
    protected get_i6(): number;
    protected set_i6(a: number): void;
    get i6(): number;
    set i6(a: number);
    private hz;
    get jc(): number;
    set jc(a: number);
    private db;
    get dc(): SeriesOutlineMode;
    set dc(a: SeriesOutlineMode);
    private co;
    get cp(): MarkerOutlineMode;
    set cp(a: MarkerOutlineMode);
    private cm;
    get cn(): MarkerFillMode;
    set cn(a: MarkerFillMode);
    private hm;
    get iz(): number;
    set iz(a: number);
    private hn;
    get i0(): number;
    set i0(a: number);
    private cu;
    get cv(): MarkerTypeCollection;
    set cv(a: MarkerTypeCollection);
    private ck;
    get cl(): MarkerAutomaticBehavior;
    set cl(a: MarkerAutomaticBehavior);
    private u;
    get ad(): BrushCollection;
    set ad(a: BrushCollection);
    private v;
    get ae(): BrushCollection;
    set ae(a: BrushCollection);
    private j2;
    get kb(): number;
    set kb(a: number);
    private g7;
    get ij(): number;
    set ij(a: number);
    private ex;
    get fs(): boolean;
    set fs(a: boolean);
    private x;
    get ah(): BrushCollection;
    set ah(a: BrushCollection);
    private ds;
    get dt(): TrendLineType;
    set dt(a: TrendLineType);
    private h5;
    get ji(): number;
    set ji(a: number);
    private ew;
    get fr(): boolean;
    set fr(a: boolean);
    private hq;
    get i3(): number;
    set i3(a: number);
    private hs;
    get i5(): number;
    set i5(a: number);
    private hr;
    get i4(): number;
    set i4(a: number);
    private hp;
    get i2(): number;
    set i2(a: number);
    protected td(): void;
    private a5;
    get a6(): ComputedPlotAreaMarginMode;
    set a6(a: ComputedPlotAreaMarginMode);
    protected a7(): ComputedPlotAreaMarginMode;
    private dd;
    get de(): SeriesPlotAreaMarginHorizontalMode;
    set de(a: SeriesPlotAreaMarginHorizontalMode);
    private df;
    get dg(): SeriesPlotAreaMarginVerticalMode;
    set dg(a: SeriesPlotAreaMarginVerticalMode);
    private c9;
    get da(): SeriesHighlightingMode;
    set da(a: SeriesHighlightingMode);
    private c7;
    get c8(): SeriesHighlightingBehavior;
    set c8(a: SeriesHighlightingBehavior);
    private cc;
    get cd(): LegendHighlightingMode;
    set cd(a: LegendHighlightingMode);
    private ch;
    get cj(): LegendItemBadgeShape;
    set cj(a: LegendItemBadgeShape);
    private ce;
    get cf(): LegendItemBadgeMode;
    set cf(a: LegendItemBadgeMode);
    private j5;
    get kd(): number;
    set kd(a: number);
    private dq;
    get dr(): ToolTipType;
    set dr(a: ToolTipType);
    private a8;
    get a9(): CrosshairsDisplayMode;
    set a9(a: CrosshairsDisplayMode);
    private e3;
    get fy(): boolean;
    set fy(a: boolean);
    private uk;
    get u7(): Brush;
    set u7(a: Brush);
    private g9;
    get il(): number;
    set il(a: number);
    private uj;
    get u6(): Brush;
    set u6(a: Brush);
    private e2;
    get fx(): boolean;
    set fx(a: boolean);
    private uf;
    get u2(): Brush;
    set u2(a: Brush);
    private uh;
    get u4(): Brush;
    set u4(a: Brush);
    private ug;
    get u3(): Brush;
    set u3(a: Brush);
    private ui;
    get u5(): Brush;
    set u5(a: Brush);
    private jx;
    get j6(): number;
    set j6(a: number);
    private jy;
    get j7(): number;
    set j7(a: number);
    private fh;
    get gm(): boolean;
    set gm(a: boolean);
    private fj;
    get go(): boolean;
    set go(a: boolean);
    private e9;
    get f4(): boolean;
    set f4(a: boolean);
    private uu;
    get vh(): Brush;
    set vh(a: Brush);
    private uv;
    get vi(): Brush;
    set vi(a: Brush);
    private j1;
    get ka(): number;
    set ka(a: number);
    private ez;
    get fu(): boolean;
    set fu(a: boolean);
    private e1;
    get fw(): boolean;
    set fw(a: boolean);
    private e0;
    get fv(): boolean;
    set fv(a: boolean);
    private g4;
    get calloutsItemsSource(): IEnumerable;
    set calloutsItemsSource(a: IEnumerable);
    private aj;
    get ak(): CalloutPlacementPositionsCollection;
    set ak(a: CalloutPlacementPositionsCollection);
    private kw;
    get lz(): string;
    set lz(a: string);
    private kx;
    get l1(): string;
    set l1(a: string);
    private kv;
    get lv(): string;
    set lv(a: string);
    private ku;
    get ls(): string;
    set ls(a: string);
    private dw;
    get dx(): ValueModeCollection;
    set dx(a: ValueModeCollection);
    private y;
    get ai(): BrushCollection;
    set ai(a: BrushCollection);
    private h6;
    get jj(): number;
    set jj(a: number);
    get dl(): SeriesViewerScrollbarMode;
    set dl(a: SeriesViewerScrollbarMode);
    private dj;
    get dm(): SeriesViewerScrollbarMode;
    set dm(a: SeriesViewerScrollbarMode);
    private dk;
    get di(): SeriesViewerHorizontalScrollbarPosition;
    set di(a: SeriesViewerHorizontalScrollbarPosition);
    private dh;
    get dp(): SeriesViewerVerticalScrollbarPosition;
    set dp(a: SeriesViewerVerticalScrollbarPosition);
    private dn;
    get vn(): Brush;
    set vn(a: Brush);
    private uw;
    get vo(): Brush;
    set vo(a: Brush);
    private ux;
    get iv(): number;
    set iv(a: number);
    private hi;
    get iu(): number;
    set iu(a: number);
    private hh;
    get ir(): number;
    set ir(a: number);
    private he;
    get is(): number;
    set is(a: number);
    private hf;
    get it(): number;
    set it(a: number);
    private hg;
    get ix(): number;
    set ix(a: number);
    private hk;
    get iw(): number;
    set iw(a: number);
    private hj;
    get f6(): boolean;
    set f6(a: boolean);
    private fa;
    static readonly o6: string;
    get vs(): Brush;
    set vs(a: Brush);
    private u0;
    get vt(): Brush;
    set vt(a: Brush);
    private u1;
    get jn(): number;
    set jn(a: number);
    private ia;
    get jm(): number;
    set jm(a: number);
    private h9;
    get jk(): number;
    set jk(a: number);
    private h7;
    get jq(): number;
    set jq(a: number);
    private id;
    get jl(): number;
    set jl(a: number);
    private h8;
    get jp(): number;
    set jp(a: number);
    private ic;
    get jo(): number;
    set jo(a: number);
    private ib;
    get gr(): boolean;
    set gr(a: boolean);
    private fq;
    static readonly rp: string;
    get js(): number;
    set js(a: number);
    private ig;
    get jr(): number;
    set jr(a: number);
    private ie;
    get ju(): number;
    set ju(a: number);
    private ii;
    get jt(): number;
    set jt(a: number);
    private ih;
}
/**
 * @hidden
 */
export interface IDomainChartToolbarProvider {
    container: any;
    commandChanged: (arg1: ToolCommandStateChanged) => void;
    getDesiredToolbarActions(a: DomainChart, b: ToolActionInfo[]): ToolActionInfo[];
    onToolCommandExecuting(a: DomainChart, b: ToolCommand): ToolCommandExecutionState;
    onTargetPropertyChanged(a: DomainChart, b: string, c: any, d: any): void;
}
/**
 * @hidden
 */
export declare let IDomainChartToolbarProvider_$type: Type;
